September 14, 2015 · php

PHP 5.3 ve 5.4 için yolun sonu

Yazılım sürecinde dikkat edilmesi gereken konulardan biri de kullandığımız araç ve platformların yaşam süreleridir. Yazılımlar geliştirme sürecinin sonunda halen yaşamlarını sürdürdükleri ve bakım (maintenance) safhasının da önemini göz önünde bulundurduğumuzda, elimizdeki araçların sonraki sürümde kaldırılacak bir özelliğe bel bağlamak istemeyiz.

Fakat ne yazık ki çoğumuz PHP konusunda bu hassasiyeti göstermiyoruz. 4 yaşına basmak üzere olan PHP 5.3 sürümü en yaygın kullanılan sürüm. Bunun Debian ve Centos gibi çok kullanılan sunucu bazlı dağıtımların varsayılan depolarında halen bu sürümü sağlıyor olmalarının da payı büyük.

Diğer yandan öyle bir gerçek var ki, ne PHP 5.3 ne de PHP 5.4 artık desteklenmemekte ve güncelleme almamaktalar. Bu da geçtiğimiz sene karşılaştığımız Heartbleed gibi can yakıcı güvenlik açıkları meydana gelirse artık bu sürümlerin korumasız olduğu anlamına geliyor.

PHP 5.5’in 1 Ocak 2016, PHP 5.6’nın ise Ocak 2018’den daha erken bir tarihe kadar miadı var. Sürüm destek takvimini http://php.net/supported-versions.php adresinden siz de takip edebilirsiniz.

  • LinkedIn
  • Tumblr
  • Reddit
  • Pocket
Comments powered by Disqus